ReflectionClass::hasProperty
ReflectionClass::inNamespace
ReflectionClass
PHP Manual

# ReflectionClass::implementsInterface

(PHP 5)

ReflectionClass::implementsInterface — Implements interface

### Description

public bool ReflectionClass::implementsInterface ( string `$interface` )

Checks whether it implements an interface.

### Parameters

`interface`

  The interface name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ReflectionClass::isInterface() - Checks if the class is an interface
- ReflectionClass::isSubclassOf() - Checks if a subclass
- interface_exists() - Checks if the interface has been defined
- Object Interfaces

ReflectionClass::hasProperty
ReflectionClass::inNamespace
ReflectionClass
PHP Manual